> For the complete documentation index, see [llms.txt](https://docs.uma.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uma.xyz/using-uma/default-proposer-whitelist.md).

# Default Proposer Whitelist

Risk Labs manages the default proposer whitelist for the ManagedOptimisticOracleV2 contract. The current whitelist can be viewed [here](https://polygonscan.com/address/0x9f35885ce8f67a942d7b2f4fbf937987da08c463#readContract#F1) and is subject to Risk Labs' discretion and changes to the below guidelines.

Note: the whitelist is not used to restrict proposals to known or trusted actors. The whitelist is used to only allow proposers with a history of accurate proposals. This keeps UMA's optimistic system efficient and prevents incorrect proposals from slowing down UMA settlements.&#x20;

### Current Proposer Whitelist Criteria

Proposer addresses must meet the two below criteria over the last 6 months:

* 5 or more Polymarket or Predict.fun proposals on OptimisticOracleV2 or ManagedOptimisticOracleV2
* Proposal accuracy greater than 95% in the last 6 months.

Proposers who base their proposal timing on other proposer's transactions in the public mempool (i.e. front run) will be removed from the whitelist.

### How do I get on the whitelist?

By proposing [OOV2 Polymarket requests](https://oracle.uma.xyz/propose?oracleType=Optimistic+Oracle+V2\&project=Polymarket) that are not whitelisted to meet the criteria for the next update.

### Who is on the whitelist? How many address are on the whitelist?

The current whitelist can be viewed [here](https://polygonscan.com/address/0x9f35885ce8f67a942d7b2f4fbf937987da08c463#readContract#F1)

### When will the whitelist be updated?

Updates are based on data pulled on the 2nd of each month for the preceding 6 months (e.g. June 2nd to December 2nd). The whitelist is updated within the following week.

### Are addresses removed from the whitelist?

Yes, if a whitelisted address no longer meets the criteria of the most recent update it will be removed from the whitelist.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.uma.xyz/using-uma/default-proposer-whitelist.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
